> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Token lookup

Look up a fungible token by symbol

` GET /insights/v1/tokens/lookup `

Token lookup

Look up a fungible token by symbol

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` symbol ` (query, required)

- ` value `: type ` unknown ` — The symbol(s) of the token to lookup. You can specify multiple symbols, up to a maximum of 10.       Use repeated query parameters, e.g., `?symbol=ETH&symbol=USDC`.

  - example: ` ["ETH","USDC"] `

  - ` anyOf alternative 1 `: type ` array `

    - ` array item `: type ` string `

  - ` anyOf alternative 2 `: type ` string `

Example:

```json
[
  "ETH",
  "USDC"
]
```

### ` chain ` (query, optional)

Use chain_id instead

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` chain_id ` (query, optional)

The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

## Responses

### ` 200 ` — Successful response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` data `

  - ` data `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` chain_id `, ` token_address `

      - ` chain_id `: type ` number ` — The chain ID of a relevant entry

        - example: ` 1 `

      - ` token_address `: type ` string `

        - Title: address (hex or ENS)

        - example: ` "vitalik.eth" `

      - ` name `: type ` string `

      - ` symbol `: type ` string `

      - ` decimals `: type ` number `

      - ` price_data `: type ` object `

        - ` price_usd `: type ` number ` — The price of the token in USD

        - ` usd_value `: type ` number ` — The value of the token balance in USD

        - ` volume_24h_usd `: type ` number ` — The volume of the token in USD

        - ` market_cap_usd `: type ` number ` — The market cap of the token in USD

        - ` circulating_supply `: type ` number ` — The circulating supply of the token

        - ` total_supply `: type ` number ` — The total supply of the token

        - ` percent_change_24h `: type ` number ` — The percentage change of the token in the last 24 hours

        - ` price_timestamp `: type ` string ` — The timestamp of the latest price update

### ` 400 ` — Bad request

### ` 500 ` — Internal server error

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//insights/v1/tokens/lookup?symbol=ETH%2CUSDC'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//insights/v1/tokens/lookup?symbol=ETH%2CUSDC', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/tokens/lookup?symbol=ETH%2CUSDC')
print(response.json())
```